Get import log hit rate goals for project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/hit-rate-goals

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Query parameters

  • dataDate string Required

Responses

  • 200 */*

    OK

    One of:
    Hide attributes Show attributes object
    • id integer(int64)
    • importLogId integer(int64)
    • importLogHitRateGoalValue integer(int32)
    • dataDate string(date-time)
GET /project/{projectId}/hit-rate-goals
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/hit-rate-goals?dataDate=string' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "id": 42,
  "importLogId": 42,
  "importLogHitRateGoalValue": 42,
  "dataDate": "2026-05-04T09:42:00Z"
}
[
  {
    "id": 42,
    "importLogId": 42,
    "importLogHitRateGoalValue": 42,
    "dataDate": "2026-05-04T09:42:00Z"
  }
]